package com.atlassian.confluence.rpc;

/**
 * Exception thrown when a user tries to save a page (or other content object) that has been
 * modified by somebody else.
 */
public class VersionMismatchException extends RemoteException
{
    public VersionMismatchException()
    {
    }

    public VersionMismatchException(String message)
    {
        super(message);
    }

    public VersionMismatchException(Throwable cause)
    {
        super(cause);
    }

    public VersionMismatchException(String message, Throwable cause)
    {
        super(message, cause);
    }
}
